# Uses of Class
it.tdlight.jni.TdApi.ScopeAutosaveSettings

## Uses of TdApi.ScopeAutosaveSettings in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ScopeAutosaveSettings
Modifier and Type
Field
Description
`TdApi.ScopeAutosaveSettings`
TdApi.AutosaveSettings.`channelSettings`
Default autosave settings for channel chats.
`TdApi.ScopeAutosaveSettings`
TdApi.AutosaveSettings.`groupSettings`
Default autosave settings for basic group and supergroup chats.
`TdApi.ScopeAutosaveSettings`
TdApi.AutosaveSettings.`privateChatSettings`
Default autosave settings for private chats.
`TdApi.ScopeAutosaveSettings`
TdApi.AutosaveSettingsException.`settings`
Autosave settings for the chat.
`TdApi.ScopeAutosaveSettings`
TdApi.SetAutosaveSettings.`settings`
New autosave settings for the scope; pass null to set autosave settings to default.
`TdApi.ScopeAutosaveSettings`
TdApi.UpdateAutosaveSettings.`settings`
The new autosave settings; may be null if the settings are reset to default.
Constructors in it.tdlight.jni with parameters of type TdApi.ScopeAutosaveSettings
Modifier
Constructor
Description
``
`AutosaveSettings(TdApi.ScopeAutosaveSettings privateChatSettings, TdApi.ScopeAutosaveSettings groupSettings, TdApi.ScopeAutosaveSettings channelSettings, TdApi.AutosaveSettingsException[] exceptions)`
Describes autosave settings.
``
`AutosaveSettingsException(long chatId, TdApi.ScopeAutosaveSettings settings)`
Contains autosave settings for a chat, which overrides default settings for the corresponding scope.
``
`SetAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)`
Sets autosave settings for the given scope.
``
`UpdateAutosaveSettings(TdApi.AutosaveSettingsScope scope, TdApi.ScopeAutosaveSettings settings)`
Autosave settings for some type of chats were updated.